<?php

declare(strict_types = 1);

namespace MyApp\Model;

use MyApp\Entity\Type_chambre;
use PDO;

class Type_Chambre_Model{
    private PDO $db;

    public function __construct(PDO $db){
        $this->db = $db;
    }

    // on récup toutes les enregistrements de la BDD
    public function getAllTypeChambre():array{
        $sql = "SELECT * FROM Type_chambre";
        $stmt = $this->db->query($sql); // contient l'ensemble des résultats
        $type_chambre=[];
        // on organise sous forme d'un tableau les valeurs récupérées
        while($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            $type_chambre[] = new Type_chambre($row['Id_type_chambre'], $row['Nom_type']);
        }

        return $type_chambre;
    }

    public function getOneTypeChambre(int $id):?Type_chambre{
        $sql = "SELECT * from Type_chambre where Id_type_chambre = :id";
        $stmt = $this->db->prepare($sql);
        $stmt->bindValue(":id", $id);
        $stmt->execute();
        $row = $stmt->fetch(PDO::FETCH_ASSOC);
        if(!$row){
            return null;
        }
        return new Type_chambre($row['Id_type_chambre'], $row['Nom_type']);
    }


}
